org.eclipse.ease.lang.python.jython

## Class JythonPackageManager

- java.lang.Object
- - org.python.core.packagecache.PackageManager
  - - org.python.core.packagecache.CachedJarsPackageManager
    - - org.python.core.packagecache.PathPackageManager
      - - org.python.core.packagecache.SysPackageManager
        - - org.eclipse.ease.lang.python.jython.JythonPackageManager

    public class JythonPackageManager
    extends org.python.core.packagecache.SysPackageManager

### Nested Class Summary

### Nested classes/interfaces inherited from class org.python.core.packagecache.CachedJarsPackageManager

`org.python.core.packagecache.CachedJarsPackageManager.JarXEntry`

### Field Summary

### Fields inherited from class org.python.core.packagecache.PathPackageManager

`searchPath`

### Fields inherited from class org.python.core.packagecache.PackageManager

`topLevelPackage`

### Constructor Summary

Constructors
Constructor and Description
`JythonPackageManager(java.io.File cachedir, java.util.Properties registry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `packageExists(java.lang.String pkg, java.lang.String name)`

### Methods inherited from class org.python.core.packagecache.SysPackageManager

`addJar, addJarDir, doDir, findClass, findClass, notifyPackageImport`

### Methods inherited from class org.python.core.packagecache.PathPackageManager

`addClassPath, addDirectory`

### Methods inherited from class org.python.core.packagecache.CachedJarsPackageManager

`addJarToPackages, addJarToPackages, addJarToPackages, addJarToPackages, saveCache`

### Methods inherited from class org.python.core.packagecache.PackageManager

`lookupName, makeJavaPackage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JythonPackageManager

    public JythonPackageManager(java.io.File cachedir,
                                java.util.Properties registry)

### Method Detail

#### packageExists

    public boolean packageExists(java.lang.String pkg,
                                 java.lang.String name)

Overrides:
  `packageExists` in class `org.python.core.packagecache.SysPackageManager`